@import url('https://fonts.googleapis.com/css2?family=Noto+Sans:wght@700&family=Poppins:wght@400;500;600&display=swap');
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  width: 100%;
  height: 100vh;
  background: linear-gradient(135deg, #9b27ca 0%, #9927cf 0%, #d33639 100%, #f92121 100%);
}

::selection {
  color: #fff;
  background: #9b27ca;
}

.wrapper {
  position: absolute;
  max-width: 480px;
  top: 50%;
  left: 50%;
  width: 100%;
  padding: 40px 30px;
  background: #fff;
  border-radius: 15px;
  opacity: 0;
  pointer-events: none;
  transform: translate(-50%, -50%) scale(1.2);
  box-shadow: 10px 10px 15px rgba(0, 0, 0, 0.06);
  transition: opacity 0.2s 0s ease-in-out, transform 0.2s 0s ease-in-out;
}

.wrapper.show {
  opacity: 1;
  pointer-events: auto;
  transform: translate(-50%, -50%) scale(1);
}

.wrapper .content, .content .warn-icon, .warn-icon .icon {
  display: flex;
  align-items: center;
  justify-content: center;
}

.wrapper .content {
  flex-direction: column;
}

.content .warn-icon {
  height: 115px;
  width: 115px;
  border-radius: 50%;
  background: linear-gradient(#9b27ca 0%, #9927cf 0%, #d33639 100%, #f92121 100%);
}

.warn-icon .icon {
  height: 100px;
  width: 100px;
  background: #fff;
  border-radius: inherit;
}

.warn-icon .icon i {
  background: linear-gradient(#9b27ca 0%, #9927cf 0%, #d33639 100%, #f92121 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  font-size: 50px;
}

.content h2 {
  margin-top: 35px;
  font-size: 32px;
}

.content p {
  font-size: 19px;
  text-align: center;
  margin-top: 20px;
}

.btn {
  height: 57px;
  width: 223px;
  margin-top: 30px;
  border-radius: 50px;
  position: relative;
  overflow: hidden;
}

.btn .bg-layer {
  height: 100%;
  width: 300%;
  position: absolute;
  left: -100%;
  background: -webkit-linear-gradient(135deg, #9b27ca, #d33639, #9b27ca, #d33639);
  transition: all 0.4s ease;
}

.btn:hover .bg-layer {
  left: 0;
}

.content button {
  position: relative;
  z-index: 1;
  height: 100%;
  width: 100%;
  background: none;
  font-size: 18px;
  border: none;
  outline: none;
  color: #fff;
  cursor: pointer;
}